# 59. Query: obține „AsAppliedDatasets”

Obține toate "AsAppliedDatasets" pentru "Field" selectat. Seturile de date pot fi preluate folosind interogări GraphQL generice precum `getFarms` și `getFields` din "Field" legat.&#x20;

{% hint style="warning" %}
Un "AsAppliedDataset" trebuie încărcat în prealabil.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    nume
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        nume
        number #numărul total de geofeature-uri 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atribute
        
        fullAttributes { #detalii complete pe atribut
          name #legătură către statistici >> atribut
          transliteratedName
          fullName #nume corect lizibil pentru om
          unit#unități de măsură
        }

        usedMachines { #utilizat utilaje
          id
          serial
          operatorId
        } 

        createdDate #data și ora creării entității în GeoPard
        updatedDate #data și ora ultimei actualizări
        operationId
        operationType
        operationFileDate #data și ora creării fișierului provin din metainformații 
        operationStartDate #începutul operațiunii provine din metainformații
        
        statistics { #distribuția statistică pentru fiecare atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        nume
        number #numărul total de geofeature-uri 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atribute
        
        fullAttributes { #detalii complete pe atribut
          name #legătură către statistici >> atribut
          transliteratedName
          fullName #nume corect lizibil pentru om
          unit#unități de măsură
        }

        usedMachines { #utilizat utilaje
          id
          serial
          operatorId
        } 

        createdDate #data și ora creării entității în GeoPard
        updatedDate #data și ora ultimei actualizări
        operationId
        operationType
        operationFileDate #data și ora creării fișierului provin din metainformații 
        operationStartDate #începutul operațiunii provine din metainformații
        
        statistics { #distribuția statistică pentru fiecare atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/59.-query-obtine-asapplieddatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
